

Using DecTalk with JAWS Version 2



If your synthesizer is already connected and ready to go, you can
proceed to the instructions below for loading the JAWS software,
titled "Loading the JAWS DecTalk Version".  If you need help
connecting the synthesizer, go to one of the sections further on
down about the DecTalk, the Kurzweil Personal Reader (KPR), the
PC-KPR, the Portable DecTalk, etc.


Loading JAWS software for DecTalk

The default communication parameters for JAWS and most DecTalks
are COM1 and 9600 baud, no parity, 8 databits, 1 stopbit.  JAWS
will default to these values and set the serial port by itself,
without the "mode" command.  Simply enter:

     J_DECTLK

If you want to use COM2, enter:

     J_DECTLK COM2:

It should put up the JAWS copyright screen, then say the user's
name (or the demo message) and "JAWS ready".  If you do not get
speech, or if your computer locks, check the cable and its
connection, and be sure you are entering the proper parameters. 
For more details on trouble-shooting, refer to the section titled
"Serial Synthesizers and JAWS".
     If you like to operate your DecTalk with different
communication parameters, refer to the examples below to see how
to run JAWS from the DOS prompt and change the parameters.  The
syntax is similar to the "mode" command, but no spaces are
allowed following the ":".

     J_DECTLK COM2:1200,O,7,1
     J_DECTLK COM1:2400,N,8,1

If you have problems with the installation, or if JAWS is
speaking or acting strangely, refer to the section titled "Serial
Synthesizers and JAWS".


DecTalk DTC01 from Digital Equipment

This is the "original" DecTalk, the large box with built-in
speaker and two serial ports.  Connect the serial cable to the
"COM" port on the back of the DecTalk. This is the outside port,
the one nearest the corner.   A "null-modem" cable is required,
with female connectors at each end.  The standard DecTalk cable
from DEC is model #BC22D-10, and also has #47746 printed on the
label.  This cable works fine if you still have it around.
Many different configurations of null-modem cables work, so if
you have a "null-modem" try it.  If not you can buy one from us
or use the following cable specs: 

     1)  2-3 crossed, 6-20 crossed, 7 straight through, 4&5       
         crossed to 8.  These cables are symmetrical, and it does
         not matter which end goes where.

     2)  2-3, 3-2, 4&5 jumpered, 7-7, 6&8 jumpered.

     3)  2-3, 3-2, 4-5, 5-4, 6&8-20, 7-7, 20-6&8;

You could also use a straight-through modem cable with a null-
modem adaptor, available from most computer stores, or from the
Braille 'n Speak interface kit.
     Most DecTalks that we encounter are set for 9600 baud, no
parity, 8 databits, 1 stopbit.  If you know that yours is
different from this, you can adjust JAWS to suit the DecTalk. 
See the section, "Loading JAWS Software for DecTalk," for
details.  If you want to change your DecTalk, refer to your
owner's manual.  If you are not sure what yours is set to and you
do not want to change it, just give it a try as it is.  For more
help, you can refer to the section, "Serial Synthesizers and
JAWS," for some trial-and-error ideas.
     Once you have it all cabled up and turned on, you can
proceed to  "Loading JAWS Software for DecTalk."


The Portable DecTalk

The Portable DecTalk, from Children's Hospital, is a newer
DecTalk, smaller, lighter, and faster.  It requires an external
speaker or plug-in headphones.  It uses the same cable as the
KPR: a straight-through modem cable, no wires crossed, male on
one end and female on the other.
     It will announce a message when it is turned on.  If you do
not get this, check for obvious reasons and/or refer to the
section, "Serial Synthesizers and JAWS," for tips.
     If it is connected and ready to go, refer to the section,
"Loading JAWS Software for DecTalk," to run JAWS.


The Kurzweil Personal Reader

Setting up the KPR communications parameters:

     1)  Change key pad to the Communications Setup key pad:  On
         the KPR key pad, press the key above the nominator three
         times (forth row from top, far left key).  It should say
         "Communications set-up key pad". 


     2)  Press the key on the third row, far left, eight times. 
         It should say "restore factory communications settings".

     3)  Go back to the key pad key (fourth row, far left) and    
         press it three times.  It should say "reading key pad".

     4)  Press the key to the right of that (fourth row, second   
         key from the left) seven times, or until it says,       
         "DecTalk input".

At this point, the communications parameters are: 9600 baud, no
parity, 8 databits, 1 stopbit, Xon/Xoff hand shake and block
transfers.

Using the Proper Cable

You need a RS-232 cable with a female connector at one end and a
male connector at the other end.  This should be a "modem" cable, 
preferably one with at least eight wires or pins inside.  The
wires or pins should not be crossed or jumpered.  They should be
straight-through.  Do not use a "null-modem" cable.

     1)  Connect the male end to the back of the KPR.  The male
         connectors have a rough surface; the female connectors   
         have a smooth surface.  There is a female connector on  
         the back of the KPR.

     2)  Connect the female end of the cable to a COM port or    
         serial port on your PC.  The PC's COM ports are usually
         male connectors and therefore have a rough surface.  The
         PC may have a 25-pin connector like the KPR, or it could
         have a 9-pin connector.  Naturally, if the PC has a 
         9-pin port, you must have a 9-pin female connector on   
         your cable.  Note whether you are connected to COM1 or  
         COM2.  If you are not sure, refer to the section titled
         "Serial Synthesizers and JAWS."

Now that you are all cabled up and configured for the correct
communication parameters, refer to the section "Loading JAWS
Software for DecTalk" to load the JAWS software.


PC KPR Internal DecTalk

This DecTalk is an internal card, meaning it is a circuit board
to be installed inside your PC.  It is to be connected by a short
serial cable to one of the serial ports.  Default communications
parameters are: 9600 baud, no parity, 8 databits, 1 stopbit,
Xon/Xoff hand shake.  You should know which COM port it is
connected to.  For more information, refer to the section,
"Serial Synthesizers and JAWS."  If the synthesizer is installed,
refer to the section, "Loading JAWS software for DecTalk." 